commit:     b82ac9fbb7153ba9e0b5ee8ed78d4a9ebb8e5a32
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 24 17:12:11 2023 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Fri Nov 24 17:13:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b82ac9fb

media-radio/chirp: add 20231123

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 media-radio/chirp/Manifest              |  1 +
 media-radio/chirp/chirp-20231123.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/media-radio/chirp/Manifest b/media-radio/chirp/Manifest
index c53c54bdc474..48ffbbd04020 100644
--- a/media-radio/chirp/Manifest
+++ b/media-radio/chirp/Manifest
@@ -1,2 +1,3 @@
 DIST chirp-20230917.tar.gz 1754068 BLAKE2B 
462f047310ac8ca15098365062109716ccd0a695ab86910f6c6bd6ef11b094b5cdb59949238e49e6baf3a08cc12e41766a9306d9fe685e35a2040eb9d7602ad5
 SHA512 
50ce4036d5ebeebbc2c4badb8c4f23ce13fcb66a3b016564655c25b30a032cbb8c0b62857ffbe5dac28967d2d70bb721ac45209eb6405a9c87263b225bd8d049
 DIST chirp-20231021.tar.gz 1776607 BLAKE2B 
8958bcf5d8ba310c07772b9a2c214d5d2785d2e39cc60039c405728cedf0001f71ea2110cae7e67dca72c9ebe7a61834c9c308f56f49d24c8f7f962dfc5aa067
 SHA512 
131b8ab81a2b1618438e1c03129c19be57642fa05a01ddd3d4d2f5a09e2eb5a8184bea15b306af768d8c584935f81a145f91cc058ab57238981efd0ed2e73f09
+DIST chirp-20231123.tar.gz 1804050 BLAKE2B 
1947b652f4da4946ecd24919212af9ba08433eb040b6cf77ca2ba0427b2a42582858ec15f718da9cdca1201f546e1b6f6aa73ebc0548a217312162ea895749df
 SHA512 
a7506e53d33b8cfaaf10209a1f8639b880b2be2cfb27570eadfeb23dc7d597f6d040aaa04c1db149043564c13c85b2e8af59cf88ce2c5ceb6987852605837e4c

diff --git a/media-radio/chirp/chirp-20231123.ebuild 
b/media-radio/chirp/chirp-20231123.ebuild
new file mode 100644
index 000000000000..5b1a95d408b4
--- /dev/null
+++ b/media-radio/chirp/chirp-20231123.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# py3.12 blocked by wxpython
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A free, open-source tool for programming your radio"
+HOMEPAGE="https://chirp.danplanet.com/";
+SRC_URI="https://trac.chirp.danplanet.com/${PN}_next/next-${PV}/${P}.tar.gz";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gui radioreference"
+
+RDEPEND="$(python_gen_cond_dep '
+       dev-python/pyserial[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       gui? (
+               dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+               dev-python/yattag[${PYTHON_USEDEP}]
+       )
+       radioreference? ( dev-python/suds-community[${PYTHON_USEDEP}] )
+')"
+BDEPEND="test? ( $(python_gen_cond_dep '
+       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+') )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-20230818_no-future.patch
+)
+
+distutils_enable_tests pytest
+
+# The alias map is an internal developer file not included in release tarballs.
+# Other disabled tests require Internet access.
+EPYTEST_DESELECT=(
+       tests/unit/test_directory.py::TestAliasMap
+       tests/unit/test_network_sources.py
+       tests/unit/test_repeaterbook.py
+)
+
+python_test() {
+       # From the contents of tests/ upstream currently only runs unit and 
driver
+       # tests, and the latter can take so long that they have even got a 
special
+       # script for only running them on drivers whose code has changed
+       # with respect to origin/master.
+       epytest tests/unit/
+}
+
+src_install() {
+       distutils-r1_src_install
+       if ! use gui; then
+               rm "${ED}"/usr/bin/${PN} || die
+       fi
+}

Reply via email to